package com.foreverwin.mesnac.anomaly.service;

import com.foreverwin.mesnac.anomaly.dto.PartsManufacturing;
import com.foreverwin.mesnac.integration.model.IntegrationLog;

import java.util.List;
import java.util.Map;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */
public interface ReportService {
    List<Map<String,Object>> findIntegrationLog(IntegrationLog integration);

    List<Map<String, Object>> partsManufacturing(PartsManufacturing partsManufacturing);

    List<Map<String, Object>> surplusReturnTable(String item, String itemDescription);

    List<Map<String, Object>> resourceRepair(Map<String,Object> map);
}
